<?php
class iHRIS_Module_DeploymentHistory extends I2CE_Module {

    /**
     * Set up the fuzzy methods for this module.
     * @return array
     */
	static function getMethods() {
        return array( 'iHRIS_PageView->action_deployment_history'
                => 'action_deployment_history' );
    }



    public static function getHooks() {
        return array(
            'validate_form_deployment_history' => 'validate_form_deployment_history',
            );
    }



    /**
     * Add the deployment_history form to the view person page.
     * @param I2CE_Page $page
     * @return boolean
     */
    function action_deployment_history( $page ) {
        $page->addChildForms( 'deployment_history' );
        return true;
   }


    /**
     * Checks to make sure the end date is after the start date for the person position.
     * @param I2CE_Form $form
     */
    public function validate_form_deployment_history( $form ) {
        if ( $form->start_date->isValid() && $form->end_date->isValid() ) {
            if ( $form->start_date->compare( $form->end_date ) < 1 ) {
                $msg = 'The start date of the employment needs to be before the end date.';
                I2CE::getConfig()->setIfIsSet($msg,"/modules/forms/formfield_messages/deployment_history/end_date/bad_date");                
                $form->getField('end_date')->setInvalid($msg);                
                //$form->setInvalidMessage('end_date','bad_date');  //can use this in 4.1 instead of the previous three lines
            }
        }
    }
}
