<?php
class iHRIS_Module_Retirement extends I2CE_Module {

    /**
     * Set up the fuzzy methods for this module.
     * @return array
     */
    static function getMethods() {
        return array( 'iHRIS_PageView->action_retirement'
                      => 'action_retirement' );
    }


    public static function getHooks() {
        return array(
            'validate_form_retirement' => 'validate_form_retirement',
            );
    }

    /**
     * Add the retirement form to the view person page.
     * @param I2CE_Page $page
     * @return boolean
     */
    function action_retirement( $page ) {
        $page->addChildForms( 'retirement', 'siteContent' );
        return true;
   }


    /**
     * Checks to make sure the end date is after the start date for the person position.
     * @param I2CE_Form $form
     */
    public function validate_form_retirement( $form ) {
        if ( $form->first_appt_date->isValid() && $form->first_resumption_ps->isValid() ) {
            if ( $form->first_appt_date->before( $form->first_resumption_ps ) ) {
                //the commented out code can replace the following three lines when used for 4.1
                //$form->setInvalidMessage('first_appt_date','bad_date');
                $msg = 'Date of entrance to public service should not be after date of first employment at the MOH';
                I2CE::getConfig()->setIfIsSet($msg,"/modules/forms/formfield_messages/retirement/first_appt_date/bad_date");                
                $form->getField('first_appt_date')->setInvalid($msg);
            }
        }
    }
}

